import { AcsMode } from './constants';
import { WindowSizeId } from './utils/browser';
type ThreeDSChallengeRequest = {
    acsChallengeUrl: string;
    acsTransactionId: string;
    sessionId: string;
    threeDSVersion: '2.1.0' | '2.2.0';
    /**
     * Values represent window size identifiers:
     * - '01' = 250x400px
     * - '02' = 390x400px
     * - '03' = 500x600px
     * - '04' = 600x400px
     * - '05' = 100%x100%
     */
    windowSize?: `${WindowSizeId}` | WindowSizeId;
    timeout?: number;
    /**
     * @deprecated This property is deprecated and will be removed in the next major version
     */
    mode?: AcsMode;
    containerId?: string;
};
export declare const startChallenge: ({ sessionId, acsTransactionId, acsChallengeUrl, threeDSVersion, windowSize, mode, timeout, containerId, }: ThreeDSChallengeRequest) => Promise<{
    id: string;
}>;
export {};
