type TransformKeyCase<S extends string, Case extends 'camel' | 'snake'> = Case extends 'camel' ? S extends `${infer First}_${infer Rest}` ? `${First}${Capitalize<TransformKeyCase<Rest, 'camel'>>}` : S : S extends `${infer Start}${infer Rest}` ? `${Start extends Uppercase<Start> ? '_' : ''}${Lowercase<Start>}${TransformKeyCase<Rest, 'snake'>}` : S;
export type DeepTransformKeysCase<T, Case extends 'camel' | 'snake'> = T extends string ? TransformKeyCase<T, Case> : T extends object ? {
    [K in keyof T as K extends string ? TransformKeyCase<K, Case> : K]: DeepTransformKeysCase<T[K], Case>;
} : T;
export declare const camelCaseToSnakeCase: <T>(obj: T) => DeepTransformKeysCase<T, "snake">;
export declare const snakeCaseToCamelCase: <T>(obj: T) => DeepTransformKeysCase<T, "camel">;
export {};
